<?php

namespace App\Classes\Modules\Vouchers\DataTransferObjects;


use App\Classes\General\Interfaces\DataTransferObject;

class UpdateVoucherifyOrderObject implements DataTransferObject
{
    /** @var string  */
    private $id;

    /** @var string  */
    private $status;

    /**
     * UpdateVoucherifyOrderObject constructor.
     * @param string $id
     * @param string $status
     */
    public function __construct(string $id, string $status)
    {
        $this->id = $id;
        $this->status = $status;
    }

    /**
     * @return string
     */
    public function getId(): string
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getStatus(): string
    {
        return $this->status;
    }
}
